summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBiwa <lqt@lqt.moe>2022-09-21 22:45:13 +0900
committerBiwa <lqt@lqt.moe>2022-09-21 22:45:13 +0900
commit4ce45a0224fc64375e2514fc1ab11625d42bc710 (patch)
treed137d28cee0d5fa66dd41747e76cf78ee8347776
parent72cd887c175d4f758d094273bdb79ffce32ea7ed (diff)
downloadslackbuilds-4ce45a0224fc64375e2514fc1ab11625d42bc710.tar.gz
uim: Added.
-rw-r--r--uim/doinst.sh8
-rw-r--r--uim/slack-desc19
-rwxr-xr-xuim/uim.SlackBuild110
-rw-r--r--uim/uim.info10
4 files changed, 147 insertions, 0 deletions
diff --git a/uim/doinst.sh b/uim/doinst.sh
new file mode 100644
index 0000000..9d83269
--- /dev/null
+++ b/uim/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-gtk-immodule ]; then
+ /usr/bin/update-gtk-immodule >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
diff --git a/uim/slack-desc b/uim/slack-desc
new file mode 100644
index 0000000..ff227dc
--- /dev/null
+++ b/uim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+uim: uim (A multilingual input method framework)
+uim:
+uim: uim is a multilingual input method library and environment.
+uim:
+uim: Its goal is to provide simple, easily extensible and high code-quality
+uim: input method development platform, and useful input method environment
+uim: for users of desktop and embedded platforms.
+uim:
+uim: See https://github.com/uim/uim for further details.
+uim:
+uim:
diff --git a/uim/uim.SlackBuild b/uim/uim.SlackBuild
new file mode 100755
index 0000000..d7fb1c6
--- /dev/null
+++ b/uim/uim.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/bash
+
+# Slackware build script for uim
+
+# Copyright 2022 Biwa <lqt@lqt.moe>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=uim
+VERSION=${VERSION:-1.8.9}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_lqt}
+PKGTYPE=${PKGTYPE:-tgz}
+
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/lqt-build}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make $NUMJOBS || make
+make install-strip DESTDIR=$PKG
+
+# Don't ship .la files:
+rm -f $PKG/usr/lib${LIBDIRSUFFIX}/{,uim/plugin/,gtk-{2.0,3.0}/*/immodules/}*.la
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL NEWS README RELNOTE \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/uim/uim.info b/uim/uim.info
new file mode 100644
index 0000000..6b6250d
--- /dev/null
+++ b/uim/uim.info
@@ -0,0 +1,10 @@
+PRGNAM="uim"
+VERSION="1.8.9"
+HOMEPAGE="https://github.com/uim/uim"
+DOWNLOAD="https://github.com/uim/uim/releases/download/1.8.9/uim-1.8.9.tar.gz"
+MD5SUM="3dab778f3e39ea354b26e3b36d7e2bce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Biwa"
+EMAIL="lqt@lqt.moe"